## NAME

v.proj - Re-projects a vector map from one project to the current project.

## KEYWORDS

vector, projection, transformation, import

## SYNOPSIS

v.proj
v.proj --help
v.proj [-lzwb] project=name [mapset=name] [input=name] [dbase=path] [smax=float] [output=name] [pipeline=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-l
  List vector maps in input mapset and exit
-z
  Assume z coordinate is ellipsoidal height and transform if possible
  3D vector maps only
-w
  Disable wrapping to -180,180 for latlon output
  Latlon output only, default is -180,180
-b
  Do not build vector topology
  Recommended for massive point projection
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

project=name [required]
  Project (location) containing input vector map
  Project name (not path to project)
mapset=name
  Mapset containing input vector map
  Default: name of current mapset
input=name
  Name of input vector map to re-project
dbase=path
  Path to GRASS database of input project
  Default: path to the current GRASS GIS database
smax=float
  Maximum segment length in meters in output vector map
  Increases accuracy of reprojected shapes, disable with smax=0
  Default: 10000
output=name
  Name for output vector map (default: input)
pipeline=string
  PROJ pipeline for coordinate transformation

## DESCRIPTION

v.proj allows a user to convert a vector map in a specified mapset of a specified project (different from current) with coordinate reference system (CRS) of source project to the vector map in a current mapset of current project with CRS of current project (both CRSs are defined in their corresponding projects). The CRS information can be viewed and managed with g.proj.

For an introduction to map CRSs (and the PROJ library), see the manual page of r.proj.

## NOTES

If output is not specified it is set to be the same as input map name.
If mapset is not specified, its name is assumed to be the same as the current mapset's name.
If dbase is not specified it is assumed to be the current database. The user only has to specify dbase if the source project is stored in another separate GRASS database.
If smax is set to 0 the automated vertex densification is disabled (not recommended).

v.proj supports general datum transformations, making use of the PROJ co-ordinate system translation library.

When projecting into a latlon project, east coordinates are wrapped by the proj4 library to fit into the range -180,180. This is in most cases appropriate, but can cause errors the input vector crosses the datum line at 180E/W. In this case wrapping of east coordinates to -180,180 needs to be disabled with the -w flag.

When reprojecting massive point clouds for which topology is not necessary, the user can set the -b flag to suppress the building of topology of the output map.

In order to preserve spatial detail, v.proj performs automated vertex densification (as an alternative, v.split could be used before reprojecting. Without vertex densification, depending on the source and target CRS (Coordinate Reference System), geometries can be substantially deformed (straight lines become curves, squares become trapezoids, etc). The densification of linear features can help to avoid topological errors.

## EXAMPLE

Reprojection of a vector map from another project (and mapset) into the current mapset:

    v.proj in=mymap project=latlong mapset=user1

## REFERENCES

1. Evenden, G.I. (1990) Cartographic projection procedures for the UNIX environment - a user's manual. USGS Open-File Report 90-284 (OF90-284.pdf) See also there: Interim Report and 2nd Interim Report on Release 4, Evenden 1994).
2. Richards, John A. (1993), Remote Sensing Digital Image Analysis, Springer-Verlag, Berlin, 2nd edition.

PROJ: Projection/datum support library.

Further reading

- ASPRS Grids and Datum
- Projections Transform List (PROJ)
- Coordinate operations by PROJ (projections, conversions, transformations, pipeline operator)
- MapRef - The Collection of Map Projections and Reference Systems for Europe
- Information and Service System for European Coordinate Reference Systems - CRS

## SEE ALSO

g.proj, m.proj, r.proj, i.rectify, r.stats, v.sample, v.split, v.surf.idw, v.surf.rst

## AUTHORS

Irina Kosinovsky, US ARMY CERL
M.L. Holko, USDA, SCS, NHQ-CGIS
R.L. Glenn, USDA, SCS, NHQ-CGIS

## SOURCE CODE

Available at: v.proj source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual